CoreGTK 3.22.0 CoreGTK is an Objective-C language binding for the GTK+ widget toolkit

Class Methods | List of all members
CGTKBaseBuilder Class Reference

`#import <CGTKBaseBuilder.h>`

Inheritance diagram for CGTKBaseBuilder:
[legend]
Collaboration diagram for CGTKBaseBuilder:
[legend]

## Class Methods
(void) | + setDebug:
(void) | + connectSignalsToObjectsWithBuilder:andSignalDictionary:
(CGTKWidget *) | + getWidgetFromBuilder:withName:

## Detailed Description

CGTKBuilder adds additional functionality to GtkBuilder

Definition at line 44 of file CGTKBaseBuilder.h.

## Method Documentation

## ◆ connectSignalsToObjectsWithBuilder:andSignalDictionary:()

+ (void) connectSignalsToObjectsWithBuilder: |  | (CGTKBuilder *) | builder
andSignalDictionary: |  | (NSDictionary *) | objectSignalDictionary

Similar to the other connect signals functions, this takes a dictionary key'd on CallbackData objects (configured with class/selectors) and their associated signals as values and connects them accordingly.

Example usage: NSDictionary *dict = [[NSDictionary alloc] initWithObjectsAndKeys: [CallbackData withObject:[CGTK class] andSEL:(endMainLoop)], "mainQuit", [CallbackData withObject:button andSEL:(clicked)], "on_button1_activate", [CallbackData withObject:button andSEL:(clicked)], "on_button2_clicked", nil];

[builder connectSignalsToObjects:dict];

Parameters

  builder | A CGTKBuilder to use while attaching signals
  objectSignalDictionary | A dictionary mapping CallbackData objects to NSString signal names

Definition at line 79 of file CGTKBaseBuilder.m.

## ◆ getWidgetFromBuilder:withName:()

+ (CGTKWidget *) getWidgetFromBuilder: |  | (CGTKBuilder *) | builder
withName: |  | (NSString *) | name

Attempts to get the object witht he name returning it as a CGTKWidget. If the object is not found or not compatible with CGTKWidget this will return nil.

Parameters

  builder | the builder to get the widget from
  name | the name of the object to return

Returns
  the CGTKWidget or nil

Definition at line 84 of file CGTKBaseBuilder.m.

## ◆ setDebug:()

+ (void) setDebug: |  | (BOOL) | debugEnabled |

When enabled this builder will print out signal connection debug info

Definition at line 74 of file CGTKBaseBuilder.m.

The documentation for this class was generated from the following files:

- CGTKBaseBuilder.h
- CGTKBaseBuilder.m